PDA

View Full Version : Catalyst 4.5 and glSlang == crash ?



Jan
05-13-2004, 05:19 AM
Hi there

I just installed the new Catalyst, just to find out, that my engine crashes with it.
I tracked the bug down to glUseProgramObjectARB. The first time i call it, my app crashes showing some standard windows-error.
Does anyone else have this problem? I am quite sure itīs not a bug on my side, because that code i use ever since the first glSlang driver was released.

Jan.

valoh
05-13-2004, 05:51 AM
no problems here.

what kind of "standard windows-error"? Invalid memory access exception?
Perhaps a problem with extension loading? With one catalyst version (change from ogl 1.4 to ogl 1.5 support) I had problems with a glew bug, not loading the extensions. But that was fixed some time ago...

btw: Unfortunately there is still the gl_FragCoord bug and trivial loops are neither supported with the new catalyst version :(

Jan
05-13-2004, 06:24 AM
In english the error would be something like: "The instruction 'read' could not be executed, ..." sounds like a memory issue.

I donīt use loops or the fragcoord.

I do use glew, therefore i was pretty sure there is no problem with loading extensions. Iīll have to take a look into that.

Thanks,
Jan.

Sunray
05-13-2004, 11:37 AM
The shader compile and links fine?

Jan
05-13-2004, 12:10 PM
Yeah, no problem there.

yooyo
05-13-2004, 01:06 PM
Originally posted by valoh:

what kind of "standard windows-error"? Invalid memory access exception?
Perhaps a problem with extension loading? With one catalyst version (change from ogl 1.4 to ogl 1.5 support) I had problems with a glew bug, not loading the extensions. But that was fixed some time ago...
Instead checking is extension supported and map extension entry points I'm using different approach. Scan all glext.h and wglext.h and try to map all entry points. Later.. just check is extension supported and use already maped entry points.

yooyo